Bug 220667 - SELinux blocks dund access to /var/run/sdp
SELinux blocks dund access to /var/run/sdp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
http://howto.pilot-link.org/bluesync/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-22 16:41 EST by Ben Liblit
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current\
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 09:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
detailed diagnostic information from SELinux troubleshooting browser (2.47 KB, text/plain)
2006-12-22 16:41 EST, Ben Liblit
no flags Details

  None (edit)
Description Ben Liblit 2006-12-22 16:41:39 EST
Description of problem:

I am setting up dund to provide my Palm PDA with network access using my Fedora
Core 6 laptop as a gateway.  I am following the instructions given at
<http://howto.pilot-link.org/bluesync/ga.html>.  I have created an
"/etc/ppp/peers/dun" file as suggested on that page, and have edited
"/etc/sysconfig/dund" to set DUNDARGS to '--listen --persist --msdun call dun'.

As root, I run "service dund start" to start the Bluetooth dial-up networking
daemon.  SELinux reports "SELinux is preventing /usr/bin/dund (bluetooth_t)
"connectto" access to /var/run/sdp (bluetooth_t)."

Version-Release number of selected component (if applicable):

    bluez-utils-3.7-2
    selinux-policy-targeted-2.4.6-7.fc6


How reproducible: 100% reproducible.

Steps to Reproduce:
1. Create an "/etc/ppp/peers/dun" file as suggested by
<http://howto.pilot-link.org/bluesync/ga.html>.  (optional step?)

2. Edit "/etc/sysconfig/dund" so that it contains the following text on a single
line:

    DUNDARGS='--listen --persist --msdun call dun'

3. As root, run "service dund start".
  
Actual results:

SELinux blocks access to "/var/run/sdp" and reports this action in the system
logs and/or to the SELinux troubleshooting browser.

Expected results:

Presumably, dund should be allowed to communicate with sdpd without triggering
SELinux policy violations.  (I'm assuming that this inter-daemon communication
is, in fact, correct behavior.  But I don't really know what the different
pieces of the puzzle do here.)

Additional info:

See attached record with more detailed diagnostic information from the SELinux
troubleshooting browser.
Comment 1 Ben Liblit 2006-12-22 16:41:39 EST
Created attachment 144313 [details]
detailed diagnostic information from SELinux troubleshooting browser
Comment 2 Daniel Walsh 2007-07-23 09:42:16 EDT
This has been fixed for a long time in the latest-selinux policy

yum update selinux-policy 

should pull it.

Note You need to log in before you can comment on or make changes to this bug.